---
title: StylePropertyMapReadOnly.size
slug: Web/API/StylePropertyMapReadOnly/size
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Property
  - Reference
  - StylePropertyMapReadOnly
  - size
---
<p>{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</p>

<p>The <strong><code>size</code></strong> read-only property of the {{domxref("StylePropertyMapReadOnly")}} interface returns an unsinged long integer containing the size of the <code>StylePropertyMapReadOnly</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>size</var> = StylePropertyMapReadOnly.size</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long integer.</p>

<h2 id="Example">Example</h2>

<p>Here we use the size property to return the total entries within the button elements {{domxref('Element.computedStyleMap()','computedStyleMap')}}.</p>

<pre class="brush: js notranslate">// grab our element
const buttonEl = document.querySelector('button');

// we can retrieve all computed styles with `computedStyleMap`
const allComputedStyles = buttonEl.computedStyleMap();

// use size to get the total styles within the map
const amountStyles = allComputedStyles.size;
console.log(amountStyles); // logs 338
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-stylepropertymapreadonly-size','size')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.size")}}</p>
